﻿Type=Activity
Version=1.60
FullScreen=False
IncludeTitle=True
@EndOfDesignText@
'Activity module
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim ProgName As String			: ProgName="TweetChirp UpZip"
	Dim ProgVersion As String		: ProgVersion="V 1.0"
	Dim ProgAuthor As String		: ProgAuthor="Ray Tesluk M.D."
	Dim ProgDate As String			: ProgDate="Aug 2011"
	Dim HelpIndex As Int			: HelpIndex=0
	Dim HelpIndexMax As Int			: HelpIndexMax=5

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim pnlHelp As Panel
	Dim btnHelpPrev, btnHelpNext, btnHelpLast,btnHelpFirst, btnHelpOK  As Button
	Dim lblHelp1, lblHelp2, lblHelp3 As Label
	Dim scvHelp As ScrollView
	Dim Reflect As Reflector
	Dim gd1 As GradientDrawable
	Dim cols1(2) As Int
	Dim gd2 As GradientDrawable
	Dim cols2(2) As Int
	Dim gd3 As GradientDrawable
	Dim cols3(2) As Int

End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.Title = "TweetChirp Unzip Help"
	Activity.LoadLayout("HelpScrollView0")
	pnlHelp.LoadLayout("HelpScrollView2")
	scvHelp.Panel.LoadLayout("HelpScrollView1")
	Reflect.Target = lblHelp3
	'lblHelp1.TextColor = Colors.RGB(127,255,0)
	lblHelp1.TextColor = Colors.Magenta 
	'lblHelp2.TextColor = Colors.RGB(127,255,0)
	lblHelp2.TextColor = Colors.Cyan 
	lblHelp3.TextColor = Colors.RGB(127,255,0)
End Sub

Sub Activity_Resume
	InitHelp
End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub InitHelp
	pnlHelp.Top = 0
	pnlHelp.Left = 0
	pnlHelp.Height = Activity.Height
	pnlHelp.Width = Activity.Width
	pnlHelp.Invalidate
	Activity.Invalidate
	scvHelp.Height = Activity.Height - scvHelp.Top - 5dip

	scvHelp.Width = Activity.Width - 2*scvHelp.Left
	scvHelp.Panel.Width = scvHelp.Width

	
	btnHelpOK.Left = Activity.Width - btnHelpOK.Width - 5dip
	
	If Activity.Width/Activity.Height <1 Then
		lblHelp1.Top = lblHelp2.Top
		lblHelp1.Left = lblHelp2.Left
		lblHelp2.Top = lblHelp1.Top + lblHelp1.Height
		lblHelp1.Gravity = Gravity.LEFT
	Else
		lblHelp1.Gravity = Gravity.RIGHT
		lblHelp1.Left = scvHelp.Width - lblHelp1.Width - 2*lblHelp2.Left
	End If
	lblHelp2.Gravity = Gravity.LEFT
	lblHelp3.Top = lblHelp2.Top + lblHelp2.Height
	lblHelp3.Left = 10dip
	lblHelp3.Width = scvHelp.Panel.Width - 20dip
	lblHelp3.Height = -2
	scvHelp.Invalidate
	
	If HelpIndex=0 Then
		btnHelpPrev.Enabled  = False
		btnHelpFirst.Enabled = False
		btnHelpNext.Enabled  = True
		btnHelpLast.Enabled  = True
	Else If HelpIndex=0 Then
		btnHelpPrev.Enabled  = True
		btnHelpFirst.Enabled = True
		btnHelpNext.Enabled  = False
		btnHelpLast.Enabled  = False
	Else
		btnHelpPrev.Enabled  = True
		btnHelpFirst.Enabled = True
		btnHelpNext.Enabled  = True
		btnHelpLast.Enabled  = True
	End If
	
	DisplayHelp
End Sub

Sub DisplayHelp
' displaying the help texts
	Dim Reader As TextReader
	Dim txt1, txt2, txt3 As String
	Dim Height As Float
	
	scvHelp.ScrollPosition=0

	'Reader.Initialize(File.OpenInput(File.DirAssets,"Help"&HelpIndex&".txt"))
	Reader.Initialize(File.OpenInput(File.DirAssets,"TCUHelp"&HelpIndex&".txt"))
	txt1=Reader.ReadLine
	txt2=Reader.ReadLine
	txt3=Reader.ReadAll
	Reader.Close
	If HelpIndex = HelpIndexMax Then
		txt3="Program:"&TAB&TAB&ProgName&TAB&TAB&ProgVersion&CRLF
		txt3=txt3&"Date:"&TAB&TAB&TAB&ProgDate&CRLF
		txt3=txt3&"Written by:"&TAB&ProgAuthor&CRLF&CRLF
		'txt3=txt3&"The FFT library Is based on a port of the FFT from the SciMark2a Java Benchmark To C#  by Chris Re (cmr28@cornell.edu) and Werner Vogels (vogels@cs.cornell.edu)."&CRLF
		'txt3=txt3&"For details on the original authors see http://math.nist.gov/scimark2"&CRLF&CRLF
		'txt3=txt3&"Library adapted for B4Android by Andrew Graham"&CRLF&CRLF
		'txt3=txt3&"Library version : "&"1.0"
	End If

	lblHelp1.Text = txt1
	lblHelp2.Text = txt2
	lblHelp3.Text = txt3
	
	DoEvents		' needed to update the value
	
	Height = Reflect.RunMethod("getHeight")	' uncomment these lines with the Reflect object
	DoEvents		' needed to update the value
	scvHelp.Panel.Height = lblHelp3.Top + Height + 10dip

	' needed to update the height
	If scvHelp.Panel.Width = scvHelp.Width OR scvHelp.Panel.Width = -1 Then
		scvHelp.Panel.Width = scvHelp.Width - 1
	Else
		scvHelp.Panel.Width = scvHelp.Width
	End If
End Sub

Sub btnHelpMove_Click
' help button maganement

	Dim Send As View, btn As String
	
	Send=Sender
	btn=Send.Tag
	
	If HelpIndex > 0 AND btn = "Prev" Then
		HelpIndex = HelpIndex - 1
	Else If HelpIndex < HelpIndexMax AND btn = "Next" Then
		HelpIndex = HelpIndex + 1
	Else If btn = "First" Then
		HelpIndex = 0
	Else If btn = "Last" Then
		HelpIndex = HelpIndexMax
	End If

	If HelpIndex = 0 Then
		btnHelpPrev.Enabled  = False
		btnHelpFirst.Enabled = False
	Else
		btnHelpPrev.Enabled  = True
		btnHelpFirst.Enabled = True
	End If

	If HelpIndex = HelpIndexMax Then
		btnHelpNext.Enabled  = False
		btnHelpLast.Enabled  = False
	Else
		btnHelpNext.Enabled = True
		btnHelpLast.Enabled = True
	End If

	DisplayHelp
End Sub
Sub btnHelpOK_Click
	Activity.Finish 
	Select Case CodeModule.HelpReturnFlag
		Case 0
			StartActivity(Main)
		Case 1
			StartActivity(UnZip)
		Case 2
			StartActivity(Zip)
		Case 3
			StartActivity(ListZip)
		Case 4
			StartActivity(Delete)
	End Select
End Sub




